<?php
/**
* タスク未登録例外
*
* PHP version 5
*
* @package    exceptions
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

class TaskNotRegisteredException extends CharcoalException
{
	public function __construct( String $task_name, $message = NULL )
	{
		$msg  = " [task name] $task_name";
		if ( $message ){
			$msg .= " [message]$message";
		}

		parent::__construct( $msg );

		ExceptionStack::push( $this );
	}
}


return __FILE__;